%define name    hydrogen
%define version 0.7.5
%define release 1mdk

%define major	0
%define libname lib%name%major

Summary:	Hydrogen Drum Machine
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Url:		http://hydrogen.sourceforge.net

Group:		Sound
Source0:	lib%{name}-%{version}.tar.bz2
Source1:	%{name}-%{version}.tar.bz2
Source2: 	%{name}48.png
Source3: 	%{name}32.png
Source4: 	%{name}16.png
BuildRoot:	%_tmppath/%{name}-buildroot
BuildRequires:	libpng-devel libjpeg-devel libqt3-devel pkgconfig
BuildRequires:	libalsa-devel libjack-devel libaudiofile-devel
Requires:	%libname

%description
Hydrogen is a sample based drum machine with:
 Graphical user interface based on QT 3
 Sample based real-time audio engine
 Oss Audio driver
 Jack Audio driver
 Export to disk audio driver
 Alsa Midi input
 Import/export xml-based song file
 64 ticks per pattern
 16 voices with volume, mute, solo, pan capabilities
 Import of samples in wave, au, aiff format

%package -n %{libname}
Summary:        Libraries from the Hydrogen drum machine.
Group:          System/Libraries

%description -n %{libname}
Libraries from the Hydrogen drum machine.

%package -n %{libname}-devel
Summary: Header files and static libraries from Hydrogen.
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries and includes files you can use for development

%prep
%setup -q -b 1
# fix crappy libtool
cd ..
perl -p -i -e 's/\-\-tag\=CXX\ //g' `find -name Makefile.in`

%build
cd $RPM_BUILD_DIR/lib%name-%version
# library
%configure
%make
cd src
mkdir hydrogen
cp *.h hydrogen

# bianry
cd $RPM_BUILD_DIR/%name-%version
# no prefix on local headers of course
perl -p -i -e 's/hydrogen\/Hydrogen/Hydrogen/g' configure
%configure --with-extra-libs=$RPM_BUILD_DIR/lib%name-%version/src --with-extra-includes=$RPM_BUILD_DIR/lib%name-%version/src
# fix our stupid crappy libtool
perl -p -i -e 's/\\\$\{wl\}\-\-rpath\ \\\$\{wl\}\\\$libdir//g' libtool
%make

%install
# library
cd $RPM_BUILD_DIR/lib%name-%version
%makeinstall
# binary
cd ../%name-%version
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Hydrogen" longtitle="Drum Machine" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE4 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%name/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Feb 24 2003 Austin Acton <aacton@yorku.ca> 0.7.5-1mdk
- 0.7.5

* Wed Feb 12 2003 Austin Acton <aacton@yorku.ca> 0.7.4-2mdk
- fix requires/provides

* Tue Feb 11 2003 Austin Acton <aacton@yorku.ca> 0.7.4-1mdk
- initial package
